{% extends "application/base.html" %}
{% load staticfiles %}

{% block post_meta %}
    {{super}}
    {% if edit or create %}
    <link href="{% static 'application/css/datepicker.min.css' %}" rel="stylesheet" type="text/css">
    {% endif %}
{% endblock post_meta %}


{% block content %}
<div class="col-md-8">
    <h4 class="mb-3">
        {% if edit %}
            Заявка: {{form.instance.name}} (<a href="{{form.instance.get_absolute_url}}">Отмена</a>)
        {% elif create %}
            Создание Заявки
        {% else %}
            Заявка: {{form.instance.name}} (<a href="{{form.instance.get_edit_url}}">Редактировать</a>)
        {% endif %}
    </h4>
    <form class="needs-validation" novalidate
        action="{% if edit %} {{form.instance.get_edit_url}} {% elif create %} {% url 'application:create' %} {% endif %}"
        method="POST" enctype="multipart/form-data">
        {% for field in form %}
            {% include "application/utils/field.html" with edit=edit create=create field=field form=form %}
        {% endfor %}
        {% if create or edit %}
            {% csrf_token %}
            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block mb-5" type="submit">
                Сохранить
            </button>
        {% endif %}
    </form>
</div>
{% endblock content %}

{% block post_body %}
    {{super}}
    {% if edit or create %}
    <script src="https://cdn.ckeditor.com/ckeditor5/11.2.0/classic/ckeditor.js"></script>
    <script src="{% static 'application/js/edit.js' %}"></script>
    <script src="{% static 'application/js/datepicker.min.js' %}"></script>
    {% endif %}
{% endblock post_body %}
